
TYPO3.Flow - Bug # 2974

Status: New Priority: Must have
Author: Robert Lemke Category: AOP
Created: 2009-03-25 Assigned To: Robert Lemke
Updated: 2011-10-21 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Aspect / Proxy Cache is not emptied automatically if an interface used for introduction was modified
Description

On modifying an interface which is used in an aspect for introduction, the whole proxy class cache must be flushed.

Related issues:
related to TYPO3.Flow - Bug # 3240: AOP cache is not emptied if class file is... Resolved 2009-05-07
related to TYPO3.Flow - Feature # 3306: Flush routes cache automatically on c... Accepted 2009-05-14

History
#1 - 2009-05-25 19:23 - Robert Lemke
- Priority changed from Should have to Must have
- Target version changed from 1.0 alpha 1 to 283

#2 - 2009-06-04 15:12 - Robert Lemke
- Priority changed from Must have to Could have
- Target version changed from 283 to 1.0 alpha 2

#3 - 2009-06-26 16:23 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#4 - 2009-07-06 14:52 - Robert Lemke
- Priority changed from Could have to Must have

#5 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#6 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0
